.\"	$NetBSD$
.\"	$OpenBSD: owtemp.4,v 1.3 2006/03/06 10:24:46 grange Exp $
.\"
.\" Copyright (c) 2006 Alexander Yurchenko <grange@openbsd.org>
.\"
.\" Permission to use, copy, modify, and distribute this software for any
.\" purpose with or without fee is hereby granted, provided that the above
.\" copyright notice and this permission notice appear in all copies.
.\"
.\" THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
.\" WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
.\" MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
.\" ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
.\" WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
.\" ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
.\" OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
.\"
.Dd April 4, 2006
.Dt OWTEMP 4
.Os
.Sh NAME
.Nm owtemp
.Nd 1-Wire temperature family type device
.Sh SYNOPSIS
.Cd "owtemp* at onewire?"
.Sh DESCRIPTION
The
.Nm
driver provides support for the 1-Wire temperature sensor.
The sensor possesses a single temperature value that can be accessed
through the
.Xr envsys 4
interface.
.Pp
The following chips are supported by the driver:
.Pp
.Bl -bullet -compact -offset indent
.It
Maxim/Dallas DS18B20, DS1822, DS1920
.El
.Sh SEE ALSO
.Xr envsys 4 ,
.Xr intro 4 ,
.Xr onewire 4 ,
.Xr envstat 8
.Sh HISTORY
The
.Nm
driver first appeared in
.Ox 4.0
and
.Nx 4.0 .
.Sh AUTHORS
.An -nosplit
The
.Nm
driver was written by
.An Alexander Yurchenko Aq grange@openbsd.org
and was ported to
.Nx
by
.An Jeff Rizzo Aq riz@NetBSD.org .
